net.i2p.crypto.eddsa.math

## Class Field

- java.lang.Object
- - net.i2p.crypto.eddsa.math.Field

- All Implemented Interfaces:
    Serializable

      public class Field
      extends Object
      implements Serializable

  An EdDSA finite field. Includes several pre-computed values.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `FieldElement` | `EIGHT`
    `FieldElement` | `FIVE`
    `FieldElement` | `FOUR`
    `FieldElement` | `ONE`
    `FieldElement` | `TWO`
    `FieldElement` | `ZERO`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Field(int b, byte[] q, Encoding enc)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `FieldElement` | `fromByteArray(byte[] x)`
    `int` | `getb()`
    `Encoding` | `getEncoding()`
    `FieldElement` | `getQ()`
    `FieldElement` | `getQm2()`
    `FieldElement` | `getQm5d8()`
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EIGHT

          public final FieldElement EIGHT

    - #### FIVE

          public final FieldElement FIVE

    - #### FOUR

          public final FieldElement FOUR

    - #### ONE

          public final FieldElement ONE

    - #### TWO

          public final FieldElement TWO

    - #### ZERO

          public final FieldElement ZERO

  - ### Constructor Detail

    - #### Field

          public Field(int b,
                       byte[] q,
                       Encoding enc)

  - ### Method Detail

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### fromByteArray

          public FieldElement fromByteArray(byte[] x)

    - #### getb

          public int getb()

    - #### getEncoding

          public Encoding getEncoding()

    - #### getQ

          public FieldElement getQ()

    - #### getQm2

          public FieldElement getQm2()

    - #### getQm5d8

          public FieldElement getQm5d8()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`